arcanedev/composer

Composer plugin for ARCANESOFT

Installs: 1 093

Dependents: 3

Suggesters: 0

Security: 0

Stars: 3

Watchers: 2

Forks: 0

Open Issues: 0

Type:composer-plugin

1.6.0 2019-02-28 15:37 UTC

This package is auto-updated.

Last update: 2020-07-28 18:49:12 UTC


README

Travis Status Coverage Status Scrutinizer Code Quality SensioLabs Insight Github Issues

Packagist Packagist Release Packagist Downloads

By ARCANEDEV©

Installation

$ composer require arcanedev/composer

Usage

{
    "require": {
        "arcanedev/composer": "~1.0"
    },
    "extra": {
        "merge-plugin": {
            "include": [
                "composer.local.json",
                "modules/*/composer.json"
            ],
            "recurse":     true,
            "replace":     false,
            "merge-dev":   true,
            "merge-extra": false
        }
    }
}

Plugin configuration

The plugin reads its configuration from the merge-plugin section of your composer.json's extra section.

An include setting is required to tell Composer Plugin which file(s) going to be merged.

Contribution

Any ideas are welcome. Feel free to submit any issues or pull requests, please check the contribution guidelines.

Credit

This package is based on https://github.com/wikimedia/composer-merge-plugin.